Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002598Zandronum[All Projects] Bugpublic2016-01-27 08:472018-09-30 21:40
Reporterthrowaway 
Assigned ToDusk 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.1 
Target Version2.2Fixed in Version2.2 
Summary0002598: ACS_ExecuteAlways from server to client corrupts negative arguments
DescriptionWhen running ACS_ExecuteAlways on a clientside script from the server, any argument from -1 to -128 gets corrupted to 256+<value>. Anything positive, or lower than -128, is unaffected.
Steps To Reproduce1. Host test.pk3.
2. Join server hosting test.pk3.
3. 'puke 1'
4. It should print -1, but prints 255 instead.
Attached Files? file icon test.pk3 [^] (8,029 bytes) 2016-01-27 08:47

- Relationships

-  Notes
User avatar (0014225)
cruduxy (reporter)
2016-01-29 18:57

Running client-sided scripts on the servers is the biggest problem here. The server should just print -Warning : DO NOT USE CLIENT SIDED SCRIPTS SERVER SIDE-
User avatar (0014228)
Dusk (developer)
2016-01-29 20:49

Hmm how did this manage to break? Oh well...

Quote
Running client-sided scripts on the servers is the biggest problem here. The server should just print -Warning : DO NOT USE CLIENT SIDED SCRIPTS SERVER SIDE-


Nonsense.
User avatar (0014230)
throwaway (reporter)
2016-01-29 21:04

The clientside script is not running on the server, as Print(d:ConsolePlayerNumber()) would confirm. Only ACS_ExecuteWithResult can get the server to run clientside scripts itself, and this is using ACS_ExecuteAlways.
User avatar (0014232)
Dusk (developer)
2016-01-29 21:10
edited on: 2016-01-29 21:12

https://bitbucket.org/Torr_Samaho/zandronum-stable/pull-requests/23 [^]

Quote

Only ACS_ExecuteWithResult can get the server to run clientside scripts itself, and this is using ACS_ExecuteAlways.

This sounds like a bug. Though of course the server cannot get the result back from the client (fast enough anyway, the server would freeze until the answer is back), the server shouldn't in any circumstance run CLIENTSIDE scripts.

User avatar (0014233)
throwaway (reporter)
2016-01-29 22:35

Fix confirmed to work.
User avatar (0014241)
cobalt (updater)
2016-01-30 13:48

Issue addressed by commit 9b42fb72d71c: Fixed: Server-to-client ACS script calls would corrupt arguments within the range [-128, -1], fixes 2598
Committed by Teemu Piippo [Dusk] on Wednesday 31 December 1969 23:59:57

Changes in files:

 docs/zandronum-history.txt | 1 +
 src/cl_main.cpp | 2 +-
 2 files changed, 2 insertions(+), 1 deletions(-)


Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2016-01-27 08:47 throwaway New Issue
2016-01-27 08:47 throwaway File Added: test.pk3
2016-01-29 18:57 cruduxy Note Added: 0014225
2016-01-29 20:49 Dusk Note Added: 0014228
2016-01-29 20:49 Dusk Assigned To => Dusk
2016-01-29 20:49 Dusk Status new => assigned
2016-01-29 21:04 throwaway Note Added: 0014230
2016-01-29 21:10 Dusk Note Added: 0014232
2016-01-29 21:10 Dusk Status assigned => needs review
2016-01-29 21:12 Dusk Note Edited: 0014232 View Revisions
2016-01-29 22:35 throwaway Note Added: 0014233
2016-01-30 13:48 cobalt Status needs review => needs testing
2016-01-30 13:48 cobalt Target Version => 2.2
2016-01-30 13:48 cobalt Steps to Reproduce Updated View Revisions
2016-01-30 13:48 cobalt Note Added: 0014241
2016-01-30 13:48 Dusk Status needs testing => resolved
2016-01-30 13:48 Dusk Fixed in Version => 2.2
2016-01-30 13:48 Dusk Resolution open => fixed
2018-09-30 21:40 Blzut3 Status resolved => closed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker